Providers
Show a connection grant
GET /v1/connection-grants/{id} · SDK getConnectionGrant · CLI deployments grant show
GET
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ConnectionGrantResponse
application/json- response
authorizationVersion*integerRange
0 <= valueconnectionId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeexternalAccountId*stringexternalResourceConstraints*id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$providerKey*stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$purpose*stringscopes*array<string>status*stringValue in
"active""revoked"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valueworkspaceId*|Granted workspace, or null when the grant covers every workspace in the environment.
curl -X GET "https://example.com/v1/connection-grants/string" \ -H "x-deployments-environment: string"{ "authorizationVersion": 0, "connectionId": "string", "createdAt": "2019-08-24T14:15:22Z", "externalAccountId": "string", "externalResourceConstraints": { "property1": null, "property2": null }, "id": "string", "providerKey": "string", "purpose": "string", "scopes": [ "string" ], "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "workspaceId": "string"}